Qt Reference Documentation

# QStyleOptionViewItemV4 Class Reference

The QStyleOptionViewItemV4 class is used to describe the parameters necessary for drawing a frame in Qt 4.4 or above. More...

     #include <QStyleOptionViewItemV4>

Inherits: QStyleOptionViewItemV3.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Types

enum | StyleOptionVersion { Version }
enum | ViewItemPosition { Invalid, Beginning, Middle, End, OnlyOne }

## Public Functions

| QStyleOptionViewItemV4 ()
| QStyleOptionViewItemV4 ( const QStyleOptionViewItemV4 & other )
| QStyleOptionViewItemV4 ( const QStyleOptionViewItem & other )
QStyleOptionViewItemV4 & | operator= ( const QStyleOptionViewItem & other )

- 1 public function inherited from QStyleOptionViewItemV3
- 1 public function inherited from QStyleOptionViewItemV2
- 2 public functions inherited from QStyleOption

## Public Variables

QBrush | backgroundBrush
Qt::CheckState | checkState
QIcon | icon
QModelIndex | index
QString | text
ViewItemPosition | viewItemPosition

- 1 public variable inherited from QStyleOptionViewItemV2
- 7 public variables inherited from QStyleOptionViewItem
- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionViewItemV4 class is used to describe the parameters necessary for drawing a frame in Qt 4.4 or above.

QStyleOptionViewItemV4 inherits QStyleOptionViewItemV3.

An instance of the QStyleOptionViewItemV4 class has type SO_ViewItem and version 4. The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See QStyleOptionViewItemV3's detailed description for a discussion of how to handle "V3" classes.

See also QStyleOptionViewItem and QStyleOption.

## Member Type Documentation

### enum QStyleOptionViewItemV4::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionViewItemV4::Version` | `4` | 4

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

### enum QStyleOptionViewItemV4::ViewItemPosition

This enum is used to represent the placement of the item on a row. This can be used to draw items differently depending on their placement, for example by putting rounded edges at the beginning and end, and straight edges in between.

Constant | Value | Description
--- | --- | ---
`QStyleOptionViewItemV4::Invalid` | `0` | The ViewItemPosition is unknown and should be disregarded.
`QStyleOptionViewItemV4::Beginning` | `1` | The item appears at the beginning of the row.
`QStyleOptionViewItemV4::Middle` | `2` | The item appears in the middle of the row.
`QStyleOptionViewItemV4::End` | `3` | The item appears at the end of the row.
`QStyleOptionViewItemV4::OnlyOne` | `4` | The item is the only one on the row, and is therefore both at the beginning and the end.

## Member Function Documentation

### QStyleOptionViewItemV4::QStyleOptionViewItemV4 ()

Constructs a QStyleOptionViewItemV4 object.

### QStyleOptionViewItemV4::QStyleOptionViewItemV4 ( const QStyleOptionViewItemV4 & other )

Constructs a copy of other.

### QStyleOptionViewItemV4::QStyleOptionViewItemV4 ( const QStyleOptionViewItem & other )

Constructs a QStyleOptionViewItemV4 copy of the other style option which can be either of the QStyleOptionViewItemV3 or QStyleOptionViewItem types.

See also version.

### QStyleOptionViewItemV4 & QStyleOptionViewItemV4::operator= ( const QStyleOptionViewItem & other )

Assigns the other style option to this style option. The other style option can be either of the QStyleOptionViewItemV3 or QStyleOptionViewItem types.

## Member Variable Documentation

### QBrush QStyleOptionViewItemV4::backgroundBrush

The QBrush that should be used to paint the view items background.

### Qt::CheckState QStyleOptionViewItemV4::checkState

If this view item is checkable, i.e., ViewItemFeature::HasCheckIndicator is true, `checkState` is true if the item is checked; otherwise, it is false.

### QIcon QStyleOptionViewItemV4::icon

The icon (if any) to be drawn in the view item.

### QModelIndex QStyleOptionViewItemV4::index

The model index that is to be drawn.

### QString QStyleOptionViewItemV4::text

The text (if any) to be drawn in the view item.

### ViewItemPosition QStyleOptionViewItemV4::viewItemPosition

Gives the position of this view item relative to other items. See the ViewItemPosition enum for the details.